Bug 882967 - system-config-lvm traceback. GUI fails to load
Summary: system-config-lvm traceback. GUI fails to load
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-lvm
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Marek Grac
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-03 14:10 UTC by Matt Zywusko
Modified: 2013-02-25 13:28 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-25 13:28:58 UTC
Type: Bug


Attachments (Terms of Use)
sosreport - md5sum d3825cfd08d98be4260b494f5428b43f (550.50 KB, application/x-xz)
2012-12-03 14:10 UTC, Matt Zywusko
no flags Details

Description Matt Zywusko 2012-12-03 14:10:21 UTC
Created attachment 656663 [details]
sosreport - md5sum d3825cfd08d98be4260b494f5428b43f

Description of problem:

I installed F17 (released version). The OS is not installed on an LV on a single disk. I have a volume group and LVs that span the other 2 physical disks in the machine. Each LV is used as a guest's root and data disk. 

When I first installed F17, I was able to open system-config-lvm but now it doesn't work - when I open it from gnome or from the command line, the GUI loads briefly, starts scanning that disappears. Opening from the command line yields this traceback:

[mzywusko@kernel-qe ~]$ system-config-lvm 
Traceback (most recent call last):
  File "/usr/share/system-config-lvm/system-config-lvm.py", line 172, in <module>
    runFullGUI()
  File "/usr/share/system-config-lvm/system-config-lvm.py", line 157, in runFullGUI
    blvm = baselvm(glade_xml, app)
  File "/usr/share/system-config-lvm/system-config-lvm.py", line 105, in __init__
    self.volume_tab_view = Volume_Tab_View(glade_xml, self.lvmm, self.main_win)
  File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 136, in __init__
    self.prepare_tree()
  File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 225, in prepare_tree
    self.model_factory.reload()
  File "/usr/share/system-config-lvm/lvm_model.py", line 176, in reload
    self.__set_LVs_props() # has to come after link_mirrors
  File "/usr/share/system-config-lvm/lvm_model.py", line 821, in __set_LVs_props
    lv.set_properties(self.__get_data_for_LV(lv))
  File "/usr/share/system-config-lvm/lvm_model.py", line 877, in __get_data_for_LV
    text_list.append(self.__getFS(lv.get_path()))
  File "/usr/share/system-config-lvm/lvm_model.py", line 1029, in __getFS
    if path_list[0].getPartition()[1].id == ID_EMPTY:
TypeError: 'NoneType' object has no attribute '__getitem__'

I have uninstalled and reinstalled the system-config-lvm package.



Version-Release number of selected component (if applicable): F17, system-config-lvm-1.1.18-1.fc17.noarch

I will attach a sosreport with md5sum d3825cfd08d98be4260b494f5428b43f

How reproducible:

always - on the same machine


Steps to Reproduce:
1. install F17 with system-config-lvm
2. open system-config-lvm
3.
  
Actual results:

UI disappears after trying to run

Expected results:

system-config-lvm should run properly and allow management of LVM

Additional info:

Comment 1 Marek Grac 2013-02-13 10:16:05 UTC
I have tried to create a reproducer:

1) pvcreate /dev/sda /dev/sdb
2) vgcreate foo /dev/sda /dev/sdb
3) lvcreate -n bar -l 100%FREE foo [so LV will be span over two physical disks]
4) system-config-lvm

and it works :/

do you use traditional partitition table or GPT EFI?


Note You need to log in before you can comment on or make changes to this bug.